Re: New external dependencies for Rygel: GUPnP & Libgee


>>> >  If you want to add a new dependency or want one of the minimum
>>> >  versions updated, make a good case for it on desktop-devel-list (this
>>> >  may only require a few sentences). In particular, provide reasons why
>>> >  it is important to bump the version number, explain any impact
>>> >  (compile and run time) on other modules, and list any additional
>>> >  external dependencies it would pull in as well as any requirements on
>>> >  newer versions of existing external dependencies. Be prepared for
>>> >  others to take a few days to test it (in particular, to ensure it
>>> >  builds) before giving a thumbs up or down.
>>> >
>>> > Are you ok with it?
>>>    If you mean this decision taking some time, sure but rygel depended
>>> on these libs when it was proposed for inclusion so I was hoping that
>>> people have already tested it along with its dependencies.
>> Nope, the important part is that *every time* you will want to bump
>> the version number you will have to ask and wait.
>  Understood.

  When I said that, I thought it takes a few days but seems that is
not the case. Its been like 10 days that I made this proposal, nobody
objected on the deps but nobody seems to update the external deps
wikipage even though I sent a mail to release-team this morning so I'm
not sure about the status of the proposal. Same goes for the Vala bump
proposal I made separately.

   If these things usually take such a long time, I don't think I'll
have any choice but to start doing most of the development on
gitorious clone and only sync to gnome git master twice a month. :( I
hope thats OK with everyone?


Zeeshan Ali (Khattak)
FSF member#5124

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]